> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nuon.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Invite a user to the current org

> Invite a user (by email) to an org.

This user will receive an email, and when they next log into the application will be added to the org.




## OpenAPI

````yaml post /v1/orgs/current/invites
openapi: 3.0.3
info:
  contact:
    email: support@nuon.co
    name: Nuon Support
  description: API for managing nuon apps, components, installs, and actions.
  title: Nuon
  version: 0.19.1037
servers:
  - url: https://api.nuon.co/
security: []
tags:
  - description: policy-reports
    name: policy-reports
  - description: general
    name: general
  - description: actions
    name: actions
  - description: runbooks
    name: runbooks
  - description: apps
    name: apps
  - description: components
    name: components
  - description: onboarding
    name: onboarding
  - description: slack
    name: slack
  - description: installs
    name: installs
  - description: orgs
    name: orgs
  - description: notebooks
    name: notebooks
  - description: runners/runner
    name: runners/runner
  - description: queues
    name: queues
  - description: actions/runner
    name: actions/runner
  - description: auth
    name: auth
  - description: runners
    name: runners
  - description: vcs
    name: vcs
  - description: accounts
    name: accounts
paths:
  /v1/orgs/current/invites:
    post:
      tags:
        - orgs
      summary: Invite a user to the current org
      description: >
        Invite a user (by email) to an org.


        This user will receive an email, and when they next log into the
        application will be added to the org.
      operationId: CreateOrgInvite
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/service.CreateOrgInviteRequest'
        description: Input
        required: true
        x-originalParamName: req
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/app.OrgInvite'
          description: Created
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/stderr.ErrResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/stderr.ErrResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/stderr.ErrResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/stderr.ErrResponse'
          description: Not Found
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/stderr.ErrResponse'
          description: Conflict
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/stderr.ErrResponse'
          description: Internal Server Error
      security:
        - APIKey: []
        - OrgID: []
components:
  schemas:
    service.CreateOrgInviteRequest:
      properties:
        email:
          type: string
        role_type:
          $ref: '#/components/schemas/app.RoleType'
      required:
        - email
      type: object
    app.OrgInvite:
      properties:
        created_at:
          type: string
        created_by_id:
          type: string
        email:
          type: string
        id:
          type: string
        org_id:
          description: parent relationship
          type: string
        role_type:
          $ref: '#/components/schemas/app.RoleType'
        status:
          $ref: '#/components/schemas/app.OrgInviteStatus'
        status_v2:
          $ref: '#/components/schemas/app.CompositeStatus'
        updated_at:
          type: string
      type: object
    stderr.ErrResponse:
      properties:
        description:
          type: string
        error:
          type: string
        user_error:
          type: boolean
      type: object
    app.RoleType:
      enum:
        - org_admin
        - org_support
        - installer
        - runner
        - hosted-installer
      type: string
    app.OrgInviteStatus:
      enum:
        - pending
        - accepted
        - revoked
      type: string
    app.CompositeStatus:
      properties:
        created_at_ts:
          type: integer
        created_by_id:
          type: string
        history:
          items:
            $ref: '#/components/schemas/app.CompositeStatus'
          type: array
        metadata:
          additionalProperties: {}
          type: object
        status:
          $ref: '#/components/schemas/app.Status'
        status_human_description:
          type: string
      type: object
    app.Status:
      enum:
        - error
        - pending
        - in-progress
        - checking-plan
        - success
        - not-attempted
        - cancelled
        - retrying
        - discarded
        - user-skipped
        - auto-skipped
        - planning
        - applying
        - queued
        - warning
        - failed-pending-retry
        - generating
        - awaiting-user-run
        - provisioning
        - active
        - outdated
        - expired
        - approved
        - drifted
        - no-drift
        - approval-expired
        - approval-denied
        - approval-retry
        - building
        - deleting
        - noop
        - approval-awaiting
      type: string
  securitySchemes:
    APIKey:
      description: Type "Bearer" followed by a space and token.
      in: header
      name: Authorization
      type: apiKey
    OrgID:
      description: Nuon org ID
      in: header
      name: X-Nuon-Org-ID
      type: apiKey

````